package com.red.circle.other.infra.database.rds.service.family;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.other.infra.database.rds.entity.family.FamilyMemberTotalExp;
import java.util.List;

/**
 * 家族成员总榜 服务类
 */
public interface FamilyMemberTotalExpService extends BaseService<FamilyMemberTotalExp> {

  /**
   * 添加成员总榜经验
   */
  void incrMemberTotalExp(String sysOrigin, Long familyId, Long memberId, Long exp);

  /**
   * 查询家族成员总榜经验
   */
  List<FamilyMemberTotalExp> listMemberTotalByFamilyId(Long familyId);

  /**
   * 获取成员总榜经验
   */
  FamilyMemberTotalExp getMemberTotalExp(Long familyId, Long memberId);

  /**
   * 删除家族成员总榜数据
   */
  void deleteByFamilyId(Long familyId);
  
  /**
   * 删除成员总榜数据
   */
  void deleteByMemberId(Long familyId, Long memberId);
}
